Bug 505515 - SELinux is preventing kerneloops (kerneloops_t) "read write" system_dbusd_t.
SELinux is preventing kerneloops (kerneloops_t) "read write" system_dbusd_t.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 04:03 EDT by Tore Anderson
Modified: 2009-11-18 08:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:09:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2009-06-12 04:03:17 EDT
Description of problem:

I get warnings of SELinux denials on login.

Version-Release number of selected component (if applicable):

Fully updated F11 with kerneloops-0.12-5.fc11.i586.

How reproducible:

100%

Steps to Reproduce:
1. Log in
  
Actual results:

No SELinux denial warnings appear.

Expected results:

SELinux denial warnings appear.

Additional info:

The entire alert follows:

Summary:

SELinux is preventing kerneloops (kerneloops_t) "read write" system_dbusd_t.

Detailed Description:

SELinux denied access requested by kerneloops. It is not expected that this
access is required by kerneloops and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:kerneloops_t:s0-s0:c0.c1023
Target Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        kerneloops
Source Path                   /usr/sbin/kerneloops
Port                          <Unknown>
Host                          echo
Source RPM Packages           kerneloops-0.12-5.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     echo
Platform                      Linux echo 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed
                              May 27 17:28:22 EDT 2009 i686 i686
Alert Count                   1
First Seen                    fr. 12. juni 2009 kl. 09.54 +0000
Last Seen                     fr. 12. juni 2009 kl. 09.54 +0000
Local ID                      5b3afebc-79f7-42a2-b115-c41bb8127d14
Line Numbers                  

Raw Audit Messages            

node=echo type=AVC msg=audit(1244793246.317:33588): avc:  denied  { read write } for  pid=2459 comm="kerneloops" path="socket:[9202]" dev=sockfs ino=9202 scontext=system_u:system_r:kerneloops_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=tcp_socket

node=echo type=SYSCALL msg=audit(1244793246.317:33588): arch=40000003 syscall=11 success=yes exit=0 a0=84a0550 a1=84a04f8 a2=84a0008 a3=84a32d0 items=0 ppid=2458 pid=2459 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="kerneloops" exe="/usr/sbin/kerneloops" subj=system_u:system_r:kerneloops_t:s0-s0:c0.c1023 key=(null)

Tore
Comment 1 Maxwell Bottiger 2009-06-22 15:11:42 EDT
I too am seeing this selinux alert.


Summary:

SELinux is preventing kerneloops (kerneloops_t) "read write" system_dbusd_t.

Detailed Description:

SELinux denied access requested by kerneloops. It is not expected that this
access is required by kerneloops and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:kerneloops_t:s0-s0:c0.c1023
Target Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        kerneloops
Source Path                   /usr/sbin/kerneloops
Port                          <Unknown>
Host                          blackula.jive-turkey.net
Source RPM Packages           kerneloops-0.12-5.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-45.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     blackula.jive-turkey.net
Platform                      Linux blackula.jive-turkey.net
                              2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27
                              17:27:08 EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 17 Jun 2009 08:49:23 PM EDT
Last Seen                     Mon 22 Jun 2009 02:57:04 PM EDT
Local ID                      2bd067c6-0d12-411c-8bdc-c2c4a91e9f8c
Line Numbers                  

Raw Audit Messages            

node=blackula.jive-turkey.net type=AVC msg=audit(1245697024.169:31277): avc:  denied  { read write } for  pid=2436 comm="kerneloops" path="socket:[8532]" dev=sockfs ino=8532 scontext=system_u:system_r:kerneloops_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=tcp_socket

node=blackula.jive-turkey.net type=SYSCALL msg=audit(1245697024.169:31277): arch=c000003e syscall=59 success=yes exit=0 a0=14b0920 a1=14b08b0 a2=14b0010 a3=b items=0 ppid=2435 pid=2436 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="kerneloops" exe="/usr/sbin/kerneloops" subj=system_u:system_r:kerneloops_t:s0-s0:c0.c1023 key=(null)
Comment 2 Daniel Walsh 2009-06-23 17:02:10 EDT
This is a leaked file descriptor from nss_ldap,  I will dontaudit it in the 

 selinux-policy-3.6.12-58.fc11

You can add these rules now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Note You need to log in before you can comment on or make changes to this bug.